{% load i18n language_flags_tags static %}<!DOCTYPE html>
{% get_current_language as LANGUAGE_CODE %}<html lang="{{ LANGUAGE_CODE }}">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>eScriptorium - {% block head_title %}Digital Library{% endblock %}</title>

    {% comment %}
    <meta name="description" content="">
    <meta name="author" content="">
    {% endcomment %}
    <link rel="icon" href="{% static "images/favicon.ico" %}">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

    {% block styles %}
    <link href="{% static 'vendor.css' %}" rel="stylesheet" type="text/css">
    <link href="{% static 'main.css' %}" rel="stylesheet" type="text/css">
    <link href="{% static 'css/flags.css' %}" rel="stylesheet" type="text/css">
    {% endblock styles %}
  </head>
  <body id="escriptorium" class="{% block bodyclass %}{% endblock %}">
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
      <a class="navbar-brand" href="{% url 'home' %}">
        <img src="{% static "images/escriptorium_hd.png" %}" alt="" width="30" height="30" class="mb-1">
        eScriptorium
      </a>

      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav">
          <li class="nav-item {% block nav-home-class %}{% endblock %}">
            <a class="nav-link" href="{% url 'home'%}">Home</a>
          </li>

          <!-- <li class="nav-item">
            <a class="nav-link" href="#">{% trans 'About' %}</a>
          </li> -->
          <li class="nav-item">
            <a class="nav-link" href="{% url 'contactus' %}">{% trans 'Contact' %}</a>
          </li>
        </ul>

        <ul class="navbar-nav ml-auto mr-auto pt-1">
          {% if user.is_authenticated and not DISABLE_ELASTICSEARCH and request.resolver_match.view_name != "search" %}
          <li class="nav-item">
            <form method="get" action="{% url 'search' %}">
              {% block searchbar_hidden_inputs %}{% endblock %}
              <div class="input-group">
                {% block searchbar_transcription_filter %}{% endblock %}
                <input
                  id="navbar-searchbox"
                  name="query"
                  type="text"
                  class="form-control form-control-sm"
                  placeholder="{% block searchbar_placeholder %}{% trans "Search in all your projects" %}{% endblock %}"
                >
                <div class="input-group-append">
                  <button
                    class="btn btn-primary btn-sm mb-2"
                    type="submit"
                  >
                    <i class="fas fa-search"></i>
                  </button>
                </div>
              </div>
            </form>
          </li>
          {% endif %}
        </ul>

        <ul class="navbar-nav">
          {% if user.is_authenticated %}
          <li class="nav-item">
            <a class="nav-link {% block nav-proj-list-class %}{% endblock %}" href="{% url 'projects-list' %}">{% trans "My Projects" %}</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{% url 'user-models' %}">{% trans "My Models" %}</a>
          </li>
          <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
		{% if user.get_short_name %}
                  {% blocktrans with username=user.get_short_name %}Hello {{username}}{% endblocktrans %}
                {% else %}
                  {% blocktrans with username=user.get_username %}Hello {{username}}{% endblocktrans %}
                {% endif %}
              </a>
              <div class="dropdown-menu  dropdown-menu-right" aria-labelledby="navbarDropdown">
              <a class="dropdown-item" href="{% url 'password_change' %}">{% trans "Change password" %}</a>

              <a class="dropdown-item" href="{% url 'profile' %}">{% trans "Profile" %}</a>
              <a class="dropdown-item" href="{% url 'report-list' %}">{% trans "Task reports" %}</a>
              <a class="dropdown-item" href="{% url 'documents-tasks-list' %}">{% trans "Tasks monitoring" %}</a>
              {% if user.is_staff %}
              <a class="dropdown-item" href="{% url 'quotas-leaderboard' %}">{% trans "Leaderboard" %}</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="{% url 'admin:index' %}">{% trans "Site administration" %}</a>
              {% endif %}

              <div class="dropdown-divider"></div>
              {% if perms.users.can_invite %}<a class="dropdown-item" href="{% url 'send-invitation' %}">{% trans 'Invite' %}</a>{% endif %}
              <a class="dropdown-item" href="{% url 'logout' %}">{% trans 'Logout' %}</a>
              </div>
          </li>
          {% else %}
          <li class="nav-item">
            <a class="nav-link" href="{% url 'login' %}">{% trans 'Login' %}</a>
          </li>
          {% endif %}

          {% get_available_languages as languages %}
          {% if languages|length > 1 %}
          <li class="nav-item dropdown">
            <a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"> {% flags_for_language 1 LANGUAGE_CODE %} <span class="caret"></span></a>
            <form action="{% url 'set_language' %}" method="post">
              {% csrf_token %}
              <ul class="dropdown-menu dropdown-menu-right" role="menu">
                {% for lang_code, lang_name in languages %}
                <li>
                  {% language lang_code %}
	          <button class="btn" type="submit" name="language" title="{{ lang_name }}" value="{{ lang_code }}">
                    {% flags_for_language 1 lang_code %} <span class="{% if lang_code in LANGUAGE_CODE %}font-weight-bold{% endif %} ml-1">{{ lang_name }}</span>
                  </button>
                  {% endlanguage %}
                </li>
                {% endfor %}
              </ul>
            </form>
          </li>
          {% endif %}
        </ul>
      </div>
    </nav>

    <main><section>
    <div class="container-fluid">
    {% block body %}
    {% endblock body %}
    </div>
    </section></main>

    <script src="{% static 'vendor.js' %}"></script>

    {% block scripts %}
    <script src="{% static 'main.js' %}"></script>
    <script>
     const DEBUG = {% if debug %}true{% else %}false{% endif %};
    </script>
    {% if user.is_authenticated %} {# no need to open a socket for anonymous users, bots etc #}
      <script>
        $(document).ready(function(){
          bootWebsocket();
        });
      </script>
      {% include 'includes/messages.html' %}
      {% if ENABLE_COOKIE_CONSENT %}
      <script>
        userProfile.setUserId({{ request.user.id }});
        userProfile.getCookieConsent();
      </script>
      {% endif %}
      {% endif %}
   {% endblock scripts %}
  </body>
</html>
